summary refs log tree commit diff
path: root/tools/check-settings-docs.sh
diff options
context:
space:
mode:
authorMichael Biebl <biebl@debian.org>2019-02-26 19:01:41 +0100
committerMichael Biebl <biebl@debian.org>2019-02-26 19:01:41 +0100
commit964ae8cc391520440cf5aa13e2b9cc34850ea6c2 (patch)
tree50da9ecaee7fbb612ec18f9e24f7dec215bf7861 /tools/check-settings-docs.sh
parent3626b425d1bc017fdc6f1ea0cfd329d1e1681641 (diff)
New upstream version 1.14.6 upstream/1.14.6
Diffstat (limited to 'tools/check-settings-docs.sh')
-rwxr-xr-xtools/check-settings-docs.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/tools/check-settings-docs.sh b/tools/check-settings-docs.sh
new file mode 100755
index 00000000..8695ccc0
--- /dev/null
+++ b/tools/check-settings-docs.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+srcdir=$1
+builddir=$2
+doc_h=$3
+
+if [ -z "$NMTST_NO_CHECK_SETTINGS_DOCS" ] ; then
+    if ! cmp -s "${srcdir}/${doc_h}.in" "${builddir}/${doc_h}"; then
+        if [ "$NM_TEST_REGENERATE" = 1 ] ; then
+            cp -f "${builddir}/${doc_h}" "${srcdir}/${doc_h}.in"
+        else
+            echo "*** Error: the generated file '${builddir}/${doc_h}' differs from the source file '${srcdir}/${doc_h}.in'. You probably should copy the generated file over to the source file. You can skip this test by setting NMTST_NO_CHECK_SETTINGS_DOCS=yes. You can also automatically copy the file by rerunning the test with NM_TEST_REGENERATE=1"
+            exit 1
+        fi
+    fi
+fi
+
+exit 0
+